# SourcePath: sdl-image/20200407dev
Summary: SDL_image is an image file loading library.
Name: sony-target-dev-sdl-image
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-sdl-image
Version: 2.0.5
Release: 14020001
License: LGPLv2.1 
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
URL: https://www.libsdl.org/projects/SDL_image
Source0: libsdl2-image-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prefix: %{sony_target_dir}

%description
SDL_image is an image file loading library. It loads images as SDL surfaces, and supports the following formats
BMP, GIF, JPEG, LBM, PCX, PNG, PNM, TGA, TIFF, WEBP, XCF, XPM, XV

%package -n %{pkgname}
Summary: SDL_image is an image file loading library.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
SDL_image is an image file loading library. It loads images as SDL surfaces, and supports the following formats
BMP, GIF, JPEG, LBM, PCX, PNG, PNM, TGA, TIFF, WEBP, XCF, XPM, XV

%prep
%setup -n libsdl2-image-%{version}

%build
export SDL2_CONFIG=%{sony_target_dir}/usr/bin/sdl2-config
%sony_target_dev_setup
%sony_target_dev_configure

make CFLAGS="-I%{sony_target_dir}%{sony_target_dev_include_dir}/freetype2 -I%{sony_target_dir}%{sony_target_dev_include_dir}/SDL2"

%install
rm -rf %{buildroot}
%sony_target_dev_setup
%sony_target_dev_makeinstall

# 6.x
for b in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}`; do
    case $b in
        *-config)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/$b \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}`; do
    case $l in
        *.a|pkgconfig)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../..%{sony_target_devtool_lib_dir}/$l \
            %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done


%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_include_dir}/*
%{sony_target_dir}%{sony_target_dev_lib_dir}/*
%{sony_target_dir}%{sony_target_devtool_lib_dir}/*

%changelog

* Mon Apr 06 2020 Sony Corporation
- libsdl2-image update to 2.0.5

* Fri Mar 20 2020 Sony Corporation
- License changed to LGPLv2.1

* Wed Aug 28 2019 Sony Corporation
- Initial build
